Bug 228265 - Udev doesn't create symlink according to rule
Udev doesn't create symlink according to rule
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-12 05:37 EST by Anne
Modified: 2009-07-14 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:58:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anne 2007-02-12 05:37:33 EST
Description of problem:

This works:
 
KERNEL=="video*", SYSFS{model}=="Pixart PAC207-BCA", SYMLINK+="webcam"
 
and /dev/webcam points to the correct /dev/video*, whichever one matches the 
model.
 
This doesn't - the /dev/DC10+ never gets created:
 
KERNEL=="video*", SUBSYSTEM=="video4linux", SYSFS{name}=="DC10plus_0_", 
SYSFS{dev}=="81:1", SYMLINK+="DC10plus", GROUP="video"
 
This is the pci capture card.  The definintions were taken directly from 
udevinfo.

At Harald's suggestion I changed the kernel line to
KERNEL=="video*", SYSFS{name}=="DC10plus_0_", SYMLINK+="DC10plus", GROUP="video"

This is the udevinfo:

  looking at device '/class/video4linux/video1':
    KERNEL=="video1"
    SUBSYSTEM=="video4linux"
    SYSFS{name}=="DC10plus_0_"
    SYSFS{dev}=="81:1"

udevtest /class/video4linux/video1 output shows

udevtest /class/video4linux/video1
main: looking at device '/class/video4linux/video1' from 
subsystem 'video4linux'
udev_rules_get_name: no node name set, will use kernel name 'video1'
udev_db_get_device: no db file to read /dev/.udev/db/class@video4linux@video1: 
No such file or directory
udev_node_add: creating device node '/dev/video1', major = '81', minor = '1', 
mode = '0660', uid = '0', gid = '0'
main: run: 'socket:/org/kernel/udev/monitor'
main: run: '/lib/udev/udev_run_devd'
main: run: 'socket:/org/freedesktop/hal/udev_event'
main: run: '/sbin/pam_console_apply /dev/video1 '

Originally the rule was created as /etc/udev/rules.d/99-DC10.rules

At Harald's suggestion I changed that to /etc/udev/rules.d/09-DC10.rules

The symlink still does not get created.
Comment 1 Harald Hoyer 2007-09-20 06:47:07 EDT
Does the problem still exist on F7/F8 ??
Comment 2 Bug Zapper 2008-04-04 02:12:40 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Anne 2008-04-16 11:29:51 EDT
I'm currently running Rawhide.  I would like to keep this bug open and follow up
with a suitable report once F9 has gone Gold.  Thank you.

Comment 4 Kay Sievers 2008-04-27 23:13:57 EDT
Please try:
  SYSFS{name}=="DC10plus*"
it should work fine.

There was a recent fix to make udevinfo not mangle the printed ATTR string:
 
http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=573bdd7e7588b70105c2976859696037899e9d4d
Comment 5 Harald Hoyer 2008-04-28 04:44:12 EDT
fix is not yet in F9
Comment 6 Bug Zapper 2008-05-13 22:36:30 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:27:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Anne 2009-06-10 04:55:17 EDT
I no longer have F9 or the hardware that required this, so can't assist any further in testing.  I therefore agree that it should be closed now.
Comment 9 Bug Zapper 2009-07-14 12:58:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.